Will any Opensource Instant Message System embed into Redmine?
2009-01-04 04:26 - Amos Yang

Status: Closed Start date: 2009-01-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution:

Description

Like some flash or online chatting system.

History

#1 - 2009-01-05 17:38 - Mischa The Evil
- Category set to Plugin API

| doubt if such a feature will ever be integrated in the core of Redmine. Simply because such a feature could be better implemented using the Plugin
APl IMHO...

There are already some plugins around which seems to provide integration with external services like Juggernaut (?) and Jabber:

e Redmine Chat Plugin
¢ Redmine Messenger Plugin

There's even a plugin which implements a comparable feature more like a sort of twitter-clone, natively into Redmine (so no third-party services
required), which is known as the Redmine Status Updates Plugin

Plz resolve the issue if request is full-filled...

HTH... ;)

#2 - 2009-01-08 10:16 - Amos Yang

- Status changed from New to Resolved

#3 - 2009-03-17 01:20 - Eric Davis

- Status changed from Resolved to Closed

I've done some Juggernaut development. It's ok, pretty complex to setup but works decent once it's setup. It does use flash and | think it even does
video. We ended up removing it because it was really difficult to keep running under load (it has a separate server process).

#4 - 2009-05-12 12:57 - Sandesh Singh

- Status changed from Closed to Reopened

Is it possible to use IM instead of/in addition to email for notifications with any of the mentioned systems? The documentation with all of them did not
suggest anything like that.

#5 - 2010-06-09 09:53 - Carsten Schurig
Sandesh Singh wrote:

Is it possible to use IM instead of/in addition to email for notifications with any of the mentioned systems? The documentation with all of them did
not suggest anything like that.

Redmine Messagenger is (theoretically) able to do this: but it didn't ever work for me :(

I'd really like to have xmpp integrated into Redmine. (Redmine Messenger looks like a good solution, if it would work.)

#6 - 2010-12-02 10:03 - Terence Mill
http://github.com/jbrien/redmine-chat-plugin/tree/master
http://github.com/mszczytowski/redmine_messenger/tree/master
http://github.com/bterlson/redmine-status-updates/tree/master
http://juggernaut.rubyforge.org

Hello, we successfully set up an openfire server (http:/www.igniterealtime.org/builds/openfire/docs/latest/documentation/install-guide.html) in some
minutes, the installed the redmine messenger_plugin ((https:/github.com/mszczytowski/redmine_messenger) which does not bring any guid intop
redmine, but create a redmine bot in any xmpp/jabber room on the redmine server which you can talk to. The bor answers on ticket information
requests and updates a in room logged in user about ticket updates. There is redmine_jchat plugin which offers a into redmine integrated overall java
script chat feature which its own server embedded. But it has no room or private messaging feature, just one "says" to all in redmine logged in users. |
aksing the author noaways to integrate its jscript redmine chat which a real xmpp server - best a fusion of redmine_messeger ind redmine_jchat - best
of both worlds, would create a in redmine gui integrated web chat running o an real xmpp server (e.g openfire) - offering all features what realy xmpp
does offer. like private message and rooms, eg every redmine project can have its own team room.

#7 - 2010-12-02 10:07 - Terence Mill

Terence Mill wrote:

Hello, we successfully set up an openfire server (http://www.igniterealtime.org/builds/openfire/docs/latest/documentation/install-guide.html) in
some minutes, the installed the redmine messenger_plugin ((https:/github.com/mszczytowski/redmine_messenger) which does not bring any

guid intop redmine, but create a redmine bot in any xmpp/jabber room on the redmine server which you can talk to. The bor answers on ticket
information requests and updates a in room logged in user about ticket updates. There is redmine_jchat plugin which offers a into redmine
integrated overall java script chat feature which its own server embedded. But it has no room or private messaging feature, just one "says" to all
in redmine logged in users. | aksing the author noaways to integrate its jscript redmine chat which a real xmpp server - best a fusion of
redmine_messeger ind redmine_jchat - best of both worlds, would create a in redmine gui integrated web chat running o an real xmpp server
(e.g openfire) - offering all features what realy xmpp does offer. like private message and rooms, eg every redmine project can have its own
team room.

The redminemesseger plugin needs a patch to work, see here
Here is the lionk to the redmine_jchat
The idea of jchat and and messenger plugin fusion is requested here

#8 - 2013-05-02 03:12 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

Closing this issue: very old + some plugins have been mentionned that should answer the question. No plan to add such a feature in core as far as |
know.

#9 - 2013-05-03 06:58 - Terence Mill

| tested This few plugins and none oft them works with Any redmine 2.x AS they are badly maitained.
A Community social message system would habe Bern useful enrichment. There are solutions completly done in JS on Server Seide AS well, but hat
would need a JS Server like node.js
